import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const Input: {
    ({ type, id, placeholder, value, width, styles, onChange, onBlur }: propsTypes): React.ReactElement;
    propTypes: {
        type: PropTypes.Requireable<string>;
        id: PropTypes.Requireable<string>;
        placeholder: PropTypes.Requireable<string>;
        value: PropTypes.Requireable<string>;
        width: PropTypes.Requireable<string>;
        styles: PropTypes.Requireable<object>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        onBlur: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        type: string;
        id: undefined;
        placeholder: undefined;
        value: undefined;
        width: undefined;
        styles: undefined;
        onChange: undefined;
        onBlur: undefined;
    };
};
export default Input;
